%define name libepc
%define version 0.3.10
%define release %mkrel 1
%define api 1.0
%define major 2
%define libname %mklibname epc %api %major
%define develname %mklibname -d epc

Summary: Easy Publish and Consume library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License: LGPLv2+
Group: System/Libraries
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnutls-devel
BuildRequires: libsoup-devel
BuildRequires: avahi-client-devel avahi-glib-devel
BuildRequires: libext2fs-devel
BuildRequires: avahi-ui-devel
BuildRequires: glib2-devel >= 2.15
BuildRequires: intltool

%description
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%package i18n
Summary: Easy Publish and Consume library
Group: System/Libraries

%description i18n
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.


%package -n %{libname}
Group: System/Libraries
Summary: Easy Publish and Consume library
Requires: %{name}-i18n >= %version

%description -n %{libname}
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%package -n %develname
Group: Development/C
Summary: Easy Publish and Consume library
Requires: %libname = %version
Provides: libepc-devel = %version-%release

%description -n %develname
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/libepc*.a
%find_lang %name

%check
#gw make check needs a running avahi daemon
#make check

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files i18n -f %name.lang
%defattr(-,root,root)

%files -n %libname
%defattr(-,root,root)
%doc README
%_libdir/libepc-%api.so.%{major}*
%_libdir/libepc-ui-%api.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc NEWS ChangeLog AUTHORS
%_libdir/libepc-%api.so
%_libdir/libepc-ui-%api.so
%_libdir/libepc-%api.la
%_libdir/libepc-ui-%api.la
%_includedir/libepc-%api
%_includedir/libepc-ui-%api
%_libdir/pkgconfig/libepc-%api.pc
%_libdir/pkgconfig/libepc-ui-%api.pc
%_datadir/gtk-doc/html/libepc-%api






%changelog
* Sat May 23 2009 Götz Waschk <waschk@mandriva.org> 0.3.10-1mdv2010.0
+ Revision: 378924
- update to new version 0.3.10

* Sun Feb 08 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 338533
- update to new version 0.3.9

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-3mdv2009.1
+ Revision: 309152
- rebuild to get rid of libtasn1 dep

* Sat Nov 08 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-2mdv2009.1
+ Revision: 301104
- rebuild for new libxcb

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 295993
- new version
- new major

* Sun Oct 19 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 295243
- new version
- remove build workaround

* Fri Oct 17 2008 Götz Waschk <waschk@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 294596
- fix build deps
- new version
- enable parallel build
- fix linking

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 192482
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 166151
- libsoup rebuild

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 159662
- fix buildrequires
- new version
- add translations

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdv2008.1
+ Revision: 152140
- new version
- new major

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 151887
- new version
- drop patch
- new major

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Götz Waschk <waschk@mandriva.org> 0.3.1-2mdv2008.1
+ Revision: 136203
- fix build with glib 2.15

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 121673
- new version

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-3mdv2008.1
+ Revision: 115879
- bump release
- bump release
- import libepc


* Thu Dec  6 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2008.1
- initial package
